Redmine - Defect #38499

Markdown cannot link to wiki pages with hyphen ("-") in their names
2023-04-27 12:18 - A Fora

Status: Needs feedback Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version:

Resolution: Affected version: 5.0.4
Description

To reproduce:

- redmine setup to Markdown (OK)

- create a wiki page named "Tools_-_Online" (OK)

- create a new wiki page, and then type [[Tools_-_Online]] (OK)

- save the page and verify that instead of having a link to Tools_-_Online, the wiki page displays Tools_-<u>Online which is
coloured in yellow as it does not resolve to a valid link (FAIL)

History

#1 - 2023-04-27 12:20 - A Fora
The third bullet point should read:

- create a new wiki page, and then type
[[Tools_—_Online]]

#2 - 2023-04-28 08:15 - Go MAEDA

- Description updated

#3 - 2023-04-28 08:23 - Go MAEDA

- File clipboard-202304281521-xkpxh.png added

| cannot reproduce the issue. [[Tools_-_Online]] generates a correct link, /projects/<project identifier>/wiki/Tools_-_Online
clipboard-202304281521-xkpxh.png

#4 - 2023-05-02 21:34 - Holger Just

- Status changed from New to Needs feedback

| can also not reproduce this with either the legacy Markdown, nor with Commonmark. If this is still an issue in your Redmine installation, please
provide additional details which would allow us to reproduce this issue in a clean vanilla Redmine installation.

In any case, you may want to make sure that there are no (incompatible) plugins messing with your links

#5 - 2023-05-11 10:12 - A Fora

In any case, you may want to make sure that there are no (incompatible) plugins messing with your links

No plugins on my installations at all.

Have just been able to reproduce this on a fresh 5.0.5 install from scratch. There's a little bit of change required in steps to encounter the bug. I'm
pasting them below:

To reproduce:

- redmine setup to Markdown (OK)
- create a wiki page named "Tools_-_Online" (OK)
- create a new wiki page, and then type (3 consecutive links): [[Tools_-_Online]] [[Tools_-_Online]] [[Tools_-_Online]] (OK)
- save the page and verify that instead of having three separate links to Tools_-_Online, the wiki page displays Tools_-<u>Online
Tools</u>-<u>Online Tools</u>-_Online which is coloured in red as it does not resolve to a valid link (s) (FAIL)

#6 - 2023-05-11 10:14 - A Fora
- File clipboard-202305110814-oxvhh.png added
- File clipboard-202305110814-3de2e.png added

ools -%ICu%3IEOnlineYparent=ShirCh">Toole -<uxOnline</a>

:="wiki-page new" href="/projects/blah/wiki/ToolstICutiE-L3CuRIEOnline?parent=8htrth">»Tools</u=-<u=Online</ax

pace

<a class="wiki-page new" href="/projects/blah/wiki/Tools%1CuRk3E- Online?parent=Shtrth">Tools</u>-_0Online</a=

Wiki » Tools - Online =
All Things First

Tools_-<u>0nline Tools</u>-<u>0nline Tools</u>-_0nline

Files (0)

#7 - 2023-06-30 10:38 - TH

| can reproduce the issue in Redmine 5.0.4 using the CommonMark Markdown formatter. If you put this somewhere in the markdown, it the
underscores are interpreted incorrectly as formatting:

[[Tools_~-_Online]] [[Tools_-_Online]]
Or:

[[Tools_—_Online]]
[[Tools_—_Online]]

Workaround: Use spaces in wiki link instead of underscores (" instead of *_") as the underscore represents a space anyway.

[[Tools — Online]]
[[Tools — Online]]

Files

clipboard-202304281521-xkpxh.png 86.8 KB 2023-04-28 Go MAEDA
clipboard-202305110814-oxvhh.png 28.7 KB 2023-05-11 A Fora
clipboard-202305110814-3de2e.png 10.7 KB 2023-05-11 A Fora
